## kuttypy 1.0

=== debian/changelog ===
kuttypy (1.0-2) unstable; urgency=medium

  * overridden dh_python3 to compile the prvate module properly

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Jan 2019 18:04:12 +0100

kuttypy (1.0-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Jan 2019 16:46:11 +0100

kuttypy (0.1-2) UNRELEASED; urgency=medium

  * adapted d/watch to track https://github.com/csparkresearch/KuttyPy-GUI/
  * added a build-dependency on pyqt5-dev-tools. Closes: #919418

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Jan 2019 19:42:24 +0100

kuttypy (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #917943)
  * made a few quilt patches in order to:
    - change the clean routines
    - change defaults to Python3 and Qt5 in Debian
    - add a shell script to launch KuttyPy.py
  * added a manpage for the shell script
    
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 11:10:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_python3:
	dh_python3 -p kuttypy-gui /usr/share/kuttypy

## kuttypy 2.1.1

=== Makefile ===
QT_VERSION?=PyQt5
PY_VERSION?=3
export QT_VERSION


ifeq ($(QT_VERSION),PyQt5)
  PYUIC = pyuic5
  PYRCC = pyrcc5
  PYLUPDATE = pylupdate5
else ifeq ($(QT_VERSION),PyQt4)
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
else ifeq ($(QT_VERSION),PySide)
  PYUIC = pyside-uic
  PYRCC = pyside-rcc
  PYLUPDATE = pylupdate4
else
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
endif

SUBDIRS = utilities lang

all: recursive_all

recursive_all:
	@echo '?. Using QT Version:' $(QT_VERSION)  $(PYUIC) $(PYRCC)  $(PYLUPDATE) $(PY_VERSION)
	@echo "QT_VERSION = '$(QT_VERSION)'\nPY_VERSION = $(PY_VERSION)\n" > utilities/build_details.py
	for d in $(SUBDIRS); do $(MAKE) PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done

clean: recursive_clean
	rm -rf *.pyc *~ __pycache__

recursive_clean:
	for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done

.PHONY: all recursive_all clean recursive_clean

=== lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py)
FORMS = $(shell ls ../utilities/templates/*.ui)
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 kuttypy.pro > lrelease.log

$(TS_FILES): kuttypy.pro
	$(PYLUPDATE) kuttypy.pro

kuttypy.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) kuttypy.pro lrelease.log *.svg status.txt

install:

.PHONY: all clean install

=== utilities/Makefile ===
SUBDIRS = templates

all: recursive_all

recursive_all:
	for d in $(SUBDIRS); do make -C $$d all; done

clean: recursive_clean
	rm -rf *.pyc *~ __pycache__
	rm -f build_details.py

recursive_clean:
	for d in $(SUBDIRS); do make PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d clean; done

.PHONY: all recursive_all clean recursive_clean

=== utilities/templates/Makefile ===
PYUIC?=pyuic5
PYRCC?=pyrcc5
PY_VERSION ?= 2

UI_FILES = $(shell ls *.ui)
RC_FILES = $(shell ls *.qrc)

UI_COMPILED = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_COMPILED = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

ifeq ($(PY_VERSION),3)
	ifneq (,$(findstring pyrcc4,$(PYRCC)))
		override PYRCC += -py3
	endif
endif
$(info PYRCC=$(PYRCC))

 
all: $(UI_COMPILED) $(RC_COMPILED)

clean:
	rm -f $(UI_COMPILED) $(RC_COMPILED)
	rm -rf *.pyc *~ __pycache__

ui_%.py:  %.ui
	# lauch pyrcc5 to make reproducible builds
	export QT_HASH_SEED=0; $(PYUIC) --from-import $< -o $@


%_rc.py: %.qrc
	$(PYRCC) $< -o $@

.PHONY: all clean

## kuttypy 2.1

=== debian/changelog ===
kuttypy (2.1-2) unstable; urgency=medium

  * enforced reproducible builds

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Nov 2019 19:37:42 +0100

kuttypy (2.1-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Oct 2019 23:50:56 +0100

kuttypy (2.0-1) unstable; urgency=medium

  * fixed print_function
  * New upstream version 2.0
  * fixed the executable mode for KuttyPyGUI.py

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 19:08:58 +0200

=== debian/control ===
Source: kuttypy
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 python3-all, dh-python, pyqt5-dev-tools
Standards-Version: 4.3.0
Homepage: http://expeyes.in/kuttypy/index.html
Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git

Package: kuttypy-gui
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3,
 python3-pyqt5, python3-serial
Description: Graphic user interface to interact with KuttyPy
 KuttyPy is a USB interfaced board that gives you an option to do such
 things like to switch a light bulb, rotate a motor or measure a
 temperature under software control, in pure Python.
 .
 Playing with LEDs, motors, switches etc. is the primary objective of
 this hardware, but the experience gained in manipulating the 32
 Input/Output pins of this board will gradually make you familiar with
 the ATMega32 micro-controller.

## kuttypy 2.1.1

=== debian/changelog ===
kuttypy (2.1.1-2) unstable; urgency=medium

  * added build-dependencies qt5-qmake and qttools5-dev-tools; Closes: #968881

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Aug 2020 11:11:17 +0200

kuttypy (2.1.1-1) unstable; urgency=medium

  * new upstream version : features scintilla editor for python
  * added a dependency on python3-pyqt5.qsci
  * upgrades: Standards-Version: 4.5.0, debhelper-compat (=12)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2020 12:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,24 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
- python3-all, dh-python, pyqt5-dev-tools
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (=12),
+ python3-all,
+ dh-python,
+ pyqt5-dev-tools,
+ qt5-qmake,
+ qttools5-dev-tools
+Standards-Version: 4.5.0
 Homepage: http://expeyes.in/kuttypy/index.html
 Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
 Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git
 
 Package: kuttypy-gui
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3,
- python3-pyqt5, python3-serial
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3,
+ python3-pyqt5,
+ python3-serial,
+ python3-pyqt5.qsci
 Description: Graphic user interface to interact with KuttyPy
  KuttyPy is a USB interfaced board that gives you an option to do such
  things like to switch a light bulb, rotate a motor or measure a

=== debian/watch ===
version=4


# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kuttypy-$1.tar.gz%" \
   https://github.com/csparkresearch/KuttyPy-GUI/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/kuttypy.git \
#   refs/tags/v([\d\.]+) debian uupdate

## kuttypy 2.3

=== Makefile ===
--- 
+++ 
@@ -21,19 +21,19 @@
   PYLUPDATE = pylupdate4
 endif
 
-SUBDIRS = utilities lang
+SUBDIRS = utilities
 
 all: recursive_all
 
 recursive_all:
 	@echo '?. Using QT Version:' $(QT_VERSION)  $(PYUIC) $(PYRCC)  $(PYLUPDATE) $(PY_VERSION)
 	@echo "QT_VERSION = '$(QT_VERSION)'\nPY_VERSION = $(PY_VERSION)\n" > utilities/build_details.py
-	for d in $(SUBDIRS); do $(MAKE) PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done
+	for d in $(SUBDIRS); do make PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done
 
 clean: recursive_clean
 	rm -rf *.pyc *~ __pycache__
 
 recursive_clean:
-	for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done
+	for d in $(SUBDIRS); do make -C $$d clean; done
 
 .PHONY: all recursive_all clean recursive_clean

=== lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py ../utilities/*.py)
FORMS = $(shell ls ../utilities/templates/*.ui)
PYLUPDATE ?= pylupdate5

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 kpy.pro

$(TS_FILES): kpy.pro
	$(PYLUPDATE) kpy.pro

kpy.pro: $(SOURCES)
	echo "# GENERATED FILE, DO NOT EDIT" > $@
	echo "SOURCES = $(SOURCES)" >> $@
	echo "FORMS = $(FORMS)" >> $@
	echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) kpy.pro

install:

.PHONY: all clean install

=== docs/firmware/Makefile ===
# Makefile for ATmegaBOOT
# E.Lins, 18.7.2005
# $Id$
#
# Instructions
#
# To make bootloader .hex file:
# make diecimila
# make lilypad
# make ng
# etc...
#
# To burn bootloader .hex file:
# make diecimila_isp
# make lilypad_isp
# make ng_isp
# etc...
#
# Edit History
# 201303xx: WestfW: Major Makefile restructuring.
#                   Allows options on Make command line "make xx LED=B3"
#                   (see also pin_defs.h)
#                   Divide into "chip" targets and "board" targets.
#                   Most boards are (recursive) board targets with options.
#                   Move isp target to separate makefile (fixes m8 EFUSE)
#                   Some (many) targets will now be rebuilt when not
#                     strictly necessary, so that options will be included.
#                     (any "make" with options will always compile.)
#                   Set many variables with ?= so they can be overridden
#                   Use arduinoISP settings as default for ISP targets
#

#----------------------------------------------------------------------
#
# program name should not be changed...
PROGRAM    = optiboot

# The default behavior is to build using tools that are in the users
# current path variables, but we can also build using an installed
# Arduino user IDE setup, or the Arduino source tree.
# Uncomment this next lines to build within the arduino environment,
# using the arduino-included avrgcc toolset (mac and pc)
# ENV ?= arduino
# ENV ?= arduinodev
# OS ?= macosx
# OS ?= windows

# export symbols to recursive makes (for ISP)
export

# defaults
MCU_TARGET = atmega168
LDSECTIONS  = -Wl,--section-start=.text=0x3800 

# Build environments
# Start of some ugly makefile-isms to allow optiboot to be built
# in several different environments.  See the README.TXT file for
# details.

# default
fixpath = $(1)

ifeq ($(ENV), arduino)
# For Arduino, we assume that we're connected to the optiboot directory
# included with the arduino distribution, which means that the full set
# of avr-tools are "right up there" in standard places.
TOOLROOT = ../../../tools
GCCROOT = $(TOOLROOT)/avr/bin/

ifeq ($(OS), windows)
# On windows, SOME of the tool paths will need to have backslashes instead
# of forward slashes (because they use windows cmd.exe for execution instead
# of a unix/mingw shell?)  We also have to ensure that a consistent shell
# is used even if a unix shell is installed (ie as part of WINAVR)
fixpath = $(subst /,\,$1)
SHELL = cmd.exe
endif

else ifeq ($(ENV), arduinodev)
# Arduino IDE source code environment.  Use the unpacked compilers created
# by the build (you'll need to do "ant build" first.)
ifeq ($(OS), macosx)
TOOLROOT = ../../../../build/macosx/work/Arduino.app/Contents/Resources/Java/hardware/tools
endif
ifeq ($(OS), windows)
TOOLROOT = ../../../../build/windows/work/hardware/tools
endif

GCCROOT = $(TOOLROOT)/avr/bin/
AVRDUDE_CONF = -C$(TOOLROOT)/avr/etc/avrdude.conf

else
GCCROOT =
AVRDUDE_CONF =
endif

STK500 = "C:\Program Files\Atmel\AVR Tools\STK500\Stk500.exe"
STK500-1 = $(STK500) -e -d$(MCU_TARGET) -pf -vf -if$(PROGRAM)_$(TARGET).hex \
           -lFF -LFF -f$(HFUSE)$(LFUSE) -EF8 -ms -q -cUSB -I200kHz -s -wt
STK500-2 = $(STK500) -d$(MCU_TARGET) -ms -q -lCF -LCF -cUSB -I200kHz -s -wt
#
# End of build environment code.


OBJ        = $(PROGRAM).o
OPTIMIZE = -Os -fno-inline-small-functions -fno-split-wide-types

DEFS       = 
LIBS       =

CC         = $(GCCROOT)avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) -DF_CPU=$(AVR_FREQ) $(DEFS)
override LDFLAGS       = $(LDSECTIONS) -Wl,--relax -nostartfiles -nostdlib -Wl,-Map,tmp.map
#-Wl,--gc-sections

OBJCOPY        = $(GCCROOT)avr-objcopy
OBJDUMP        = $(call fixpath,$(GCCROOT)avr-objdump)

SIZE           = $(GCCROOT)avr-size

#
# Make command-line Options.
# Permit commands like "make atmega328 LED_START_FLASHES=10" to pass the
# appropriate parameters ("-DLED_START_FLASHES=10") to gcc
#

ifdef BAUD_RATE
BAUD_RATE_CMD = -DBAUD_RATE=$(BAUD_RATE)
dummy = FORCE
else
BAUD_RATE_CMD = -DBAUD_RATE=38400
endif

ifdef LED_START_FLASHES
LED_START_FLASHES_CMD = -DLED_START_FLASHES=$(LED_START_FLASHES)
dummy = FORCE
else
LED_START_FLASHES_CMD = -DLED_START_FLASHES=3
endif

# BIG_BOOT: Include extra features, up to 1K.
ifdef BIGBOOT
BIGBOOT_CMD = -DBIGBOOT=1
dummy = FORCE
endif

ifdef SOFT_UART
SOFT_UART_CMD = -DSOFT_UART=1
dummy = FORCE
endif

ifdef LED_DATA_FLASH
LED_DATA_FLASH_CMD = -DLED_DATA_FLASH=1
dummy = FORCE
endif

ifdef LED
LED_CMD = -DLED=$(LED)
dummy = FORCE
endif

ifdef LED_KUTTY
LED_KUTTY = -DLED=$(LED_KUTTY)
dummy = FORCE
endif


ifdef SINGLESPEED
SSCMD = -DSINGLESPEED=1
endif

COMMON_OPTIONS = $(BAUD_RATE_CMD) $(LED_START_FLASHES_CMD) $(BIGBOOT_CMD)
COMMON_OPTIONS += $(SOFT_UART_CMD) $(LED_DATA_FLASH_CMD) $(LED_CMD) $(SSCMD)

#UART is handled separately and only passed for devices with more than one.
ifdef UART
UARTCMD = -DUART=$(UART)
endif

# Not supported yet
# ifdef SUPPORT_EEPROM
# SUPPORT_EEPROM_CMD = -DSUPPORT_EEPROM
# dummy = FORCE
# endif

# Not supported yet
# ifdef TIMEOUT_MS
# TIMEOUT_MS_CMD = -DTIMEOUT_MS=$(TIMEOUT_MS)
# dummy = FORCE
# endif
#

#---------------------------------------------------------------------------
# "Chip-level Platform" targets.
# A "Chip-level Platform" compiles for a particular chip, but probably does
# not have "standard" values for things like clock speed, LED pin, etc.
# Makes for chip-level platforms should usually explicitly define their
# options like: "make atmega1285 AVR_FREQ=16000000L LED=D0"
#---------------------------------------------------------------------------
#
# Note about fuses:
# the efuse should really be 0xf8; since, however, only the lower
# three bits of that byte are used on the atmega168, avrdude gets
# confused if you specify 1's for the higher bits, see:
# http://tinker.it/now/2007/02/24/the-tale-of-avrdude-atmega168-and-extended-bits-fuses/
#
# similarly, the lock bits should be 0xff instead of 0x3f (to
# unlock the bootloader section) and 0xcf instead of 0x2f (to
# lock it), but since the high two bits of the lock byte are
# unused, avrdude would get confused.
#---------------------------------------------------------------------------
#

# Test platforms
# Virtual boot block test
virboot328: TARGET = atmega328
virboot328: MCU_TARGET = atmega328p
virboot328: CFLAGS += $(COMMON_OPTIONS) '-DVIRTUAL_BOOT'
virboot328: AVR_FREQ ?= 16000000L
virboot328: LDSECTIONS  = -Wl,--section-start=.text=0x7e00 -Wl,--section-start=.version=0x7ffe
virboot328: $(PROGRAM)_atmega328.hex
virboot328: $(PROGRAM)_atmega328.lst

# Diecimila, Duemilanove with m168, and NG use identical bootloaders
# Call it "atmega168" for generality and clarity, keep "diecimila" for
# backward compatibility of makefile
#
atmega168: TARGET = atmega168
atmega168: MCU_TARGET = atmega168
atmega168: CFLAGS += $(COMMON_OPTIONS)
atmega168: AVR_FREQ ?= 16000000L 
atmega168: $(PROGRAM)_atmega168.hex
atmega168: $(PROGRAM)_atmega168.lst

atmega168_isp: atmega168
atmega168_isp: TARGET = atmega168
# 2.7V brownout
atmega168_isp: HFUSE ?= DD
# Low power xtal (16MHz) 16KCK/14CK+65ms
atmega168_isp: LFUSE ?= FF
# 512 byte boot
atmega168_isp: EFUSE ?= 04
atmega168_isp: isp

atmega328: TARGET = atmega328
atmega328: MCU_TARGET = atmega328p
atmega328: CFLAGS += $(COMMON_OPTIONS)
atmega328: AVR_FREQ ?= 16000000L
atmega328: LDSECTIONS  = -Wl,--section-start=.text=0x7e00 -Wl,--section-start=.version=0x7ffe
atmega328: $(PROGRAM)_atmega328.hex
atmega328: $(PROGRAM)_atmega328.lst



kuttynano: TARGET = atmega328
kuttynano: MCU_TARGET = atmega328p
kuttynano: CFLAGS += $(COMMON_OPTIONS)
kuttynano: AVR_FREQ ?= 16000000L
kuttynano: START_LED_FLASHES ?= 1
kuttynano: LDSECTIONS  = -Wl,--section-start=.text=0x7e00 -Wl,--section-start=.version=0x7ffe
kuttynano: $(PROGRAM)_atmega328.hex
kuttynano: $(PROGRAM)_atmega328.lst
kuttynano: KUTTYPY_TYPE ?= 99






atmega328_isp: atmega328
atmega328_isp: TARGET = atmega328
atmega328_isp: MCU_TARGET = atmega328p
# 512 byte boot, SPIEN
atmega328_isp: HFUSE ?= DE
# Low power xtal (16MHz) 16KCK/14CK+65ms
atmega328_isp: LFUSE ?= FF
# 2.7V brownout
atmega328_isp: EFUSE ?= FD
atmega328_isp: isp

atmega644p: TARGET = atmega644p
atmega644p: MCU_TARGET = atmega644p
atmega644p: CFLAGS += $(COMMON_OPTIONS) -DBIGBOOT $(LED_CMD)
atmega644p: AVR_FREQ ?= 16000000L
atmega644p: LDSECTIONS  = -Wl,--section-start=.text=0xfc00 -Wl,--section-start=.version=0xfffe
atmega644p: CFLAGS += $(UARTCMD)
atmega644p: $(PROGRAM)_atmega644p.hex
atmega644p: $(PROGRAM)_atmega644p.lst

atmega1284: TARGET = atmega1284p
atmega1284: MCU_TARGET = atmega1284p
atmega1284: CFLAGS += $(COMMON_OPTIONS) -DBIGBOOT $(LED_CMD)
atmega1284: AVR_FREQ ?= 16000000L
atmega1284: LDSECTIONS  = -Wl,--section-start=.text=0x1fc00 -Wl,--section-start=.version=0x1fffe
atmega1284: CFLAGS += $(UARTCMD)
atmega1284: $(PROGRAM)_atmega1284p.hex
atmega1284: $(PROGRAM)_atmega1284p.lst

atmega1284p: atmega1284

atmega1284_isp: atmega1284
atmega1284_isp: TARGET = atmega1284p
atmega1284_isp: MCU_TARGET = atmega1284p
# 1024 byte boot
atmega1284_isp: HFUSE ?= DE
# Full Swing xtal (16MHz) 16KCK/14CK+65ms
atmega1284_isp: LFUSE ?= F7
# 2.7V brownout
atmega1284_isp: EFUSE ?= FD
atmega1284_isp: isp

#Atmega1280
atmega1280: MCU_TARGET = atmega1280
atmega1280: CFLAGS += $(COMMON_OPTIONS) -DBIGBOOT $(UART_CMD)
atmega1280: AVR_FREQ ?= 16000000L
atmega1280: LDSECTIONS  = -Wl,--section-start=.text=0x1fc00  -Wl,--section-start=.version=0x1fffe
atmega1280: $(PROGRAM)_atmega1280.hex
atmega1280: $(PROGRAM)_atmega1280.lst


# ATmega8
#
atmega8: TARGET = atmega8
atmega8: MCU_TARGET = atmega8
atmega8: CFLAGS += $(COMMON_OPTIONS)
atmega8: AVR_FREQ ?= 16000000L 
atmega8: LDSECTIONS  = -Wl,--section-start=.text=0x1e00 -Wl,--section-start=.version=0x1ffe
atmega8: $(PROGRAM)_atmega8.hex
atmega8: $(PROGRAM)_atmega8.lst

atmega8_isp: atmega8
atmega8_isp: TARGET = atmega8
atmega8_isp: MCU_TARGET = atmega8
# SPIEN, CKOPT (for full swing xtal), Bootsize=512B
atmega8_isp: HFUSE ?= CC
# 2.7V brownout, 16MHz Xtal, 16KCK/14CK+65ms
atmega8_isp: LFUSE ?= BF
atmega8_isp: isp

# ATmega88
#
atmega88: TARGET = atmega88
atmega88: MCU_TARGET = atmega88
atmega88: CFLAGS += $(COMMON_OPTIONS)
atmega88: AVR_FREQ ?= 16000000L 
atmega88: LDSECTIONS  = -Wl,--section-start=.text=0x1e00 -Wl,--section-start=.version=0x1ffe
atmega88: $(PROGRAM)_atmega88.hex
atmega88: $(PROGRAM)_atmega88.lst

atmega88_isp: atmega88
atmega88_isp: TARGET = atmega88
atmega88_isp: MCU_TARGET = atmega88
# 2.7V brownout
atmega88_isp: HFUSE ?= DD
# Low power xtal (16MHz) 16KCK/14CK+65ms
atemga88_isp: LFUSE ?= FF
# 512 byte boot
atmega88_isp: EFUSE ?= 04
atmega88_isp: isp

atmega32: TARGET = atmega32
atmega32: MCU_TARGET = atmega32
atmega32: CFLAGS += $(COMMON_OPTIONS)
atmega32: AVR_FREQ ?= 8000000L
atmega32: START_LED_FLASHES ?= 1
atmega32: LED_KUTTY ?= PB3
atmega32: KUTTYPY_TYPE ?= 99
atmega32: LDSECTIONS  = -Wl,--section-start=.text=0x7800
atmega32: $(PROGRAM)_atmega32.hex
atmega32: $(PROGRAM)_atmega32.lst

atmega32_isp: atmega32
atmega32_isp: TARGET = atmega32
atmega32_isp: MCU_TARGET = atmega32
# No OCD or JTAG, SPIEN, CKOPT (for full swing xtal), Bootsize=512B
atmega32_isp: HFUSE ?= CE
# 2.7V brownout, 16MHz Xtal, 16KCK/14CK+65ms
atemga32_isp: LFUSE ?= BF
atmega32_isp: isp



#---------------------------------------------------------------------------
# "Board-level Platform" targets.
# A "Board-level Platform" implies a manufactured platform with a particular
# AVR_FREQ, LED, and so on.  Parameters are not particularly changable from
# the "make" command line.
# Most of the board-level platform builds should envoke make recursively
#  appropriate specific options
#---------------------------------------------------------------------------
# 20MHz clocked platforms
#
# These are capable of 230400 baud, or 115200 baud on PC (Arduino Avrdude issue)
#

pro20: TARGET = pro_20mhz
pro20: CHIP = atmega168
pro20:

=== share/kuttypy-gui/utilities/Makefile ===
SUBDIRS = templates

all: recursive_all

recursive_all:
	for d in $(SUBDIRS); do make -C $$d all; done

clean: recursive_clean
	rm -rf *.pyc *~ __pycache__

recursive_clean:
	for d in $(SUBDIRS); do make PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d clean; done

.PHONY: all recursive_all clean recursive_clean

=== share/kuttypy-gui/utilities/templates/Makefile ===
PYUIC?=pyuic5
PYRCC?=pyrcc5
PY_VERSION ?= 2

UI_FILES = $(shell ls *.ui)
RC_FILES = $(shell ls *.qrc)

UI_COMPILED = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_COMPILED = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

ifeq ($(PY_VERSION),3)
	ifneq (,$(findstring pyrcc4,$(PYRCC)))
		override PYRCC += -py3
	endif
endif
$(info PYRCC=$(PYRCC))

 
all: $(UI_COMPILED) $(RC_COMPILED)

clean:
	rm -f $(UI_COMPILED) $(RC_COMPILED)
	rm -rf *.pyc *~ __pycache__

ui_%.py:  %.ui
	$(PYUIC) --from-import $< -o $@


%_rc.py: %.qrc
	$(PYRCC) $< -o $@

.PHONY: all clean

=== debian/changelog ===
kuttypy (2.3-2) unstable; urgency=medium

  * fixed syntax warnings. Closes: #1085664

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Oct 2024 16:06:43 +0200

kuttypy (2.3-1) unstable; urgency=medium

  * removed files which may be cleaned out
  * added a shell script as the main command kuttypy-gui
  * New upstream version 2.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 13 Feb 2024 12:21:12 +0100

kuttypy (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 Feb 2024 17:40:23 +0100

kuttypy (2.1.1-5) unstable; urgency=medium

  * applied Vagrant Cascadian's patch, thanks! Closes: #1055969

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 10:56:08 +0100

kuttypy (2.1.1-4) unstable; urgency=medium

  * patched lang/Makefile to prevent TS files from being updated.
    Closes: #1045873

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 18:25:46 +0100

kuttypy (2.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:24:47 +0100

## kuttypy 2.4

=== requirements.txt ===
mkdocs
mkdocs-material[recommended, imaging]
mkdocs-gen-files
mkdocs-material-extensions
mkdocs-table-reader-plugin
mkdocs-exclude-search
pillow
cairosvg

=== share/kuttypy-gui/Makefile ===
QT_VERSION?=PyQt4
PY_VERSION?=2
export QT_VERSION


ifeq ($(QT_VERSION),PyQt5)
  PYUIC = pyuic5
  PYRCC = pyrcc5
  PYLUPDATE = pylupdate5
else ifeq ($(QT_VERSION),PyQt4)
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
else ifeq ($(QT_VERSION),PySide)
  PYUIC = pyside-uic
  PYRCC = pyside-rcc
  PYLUPDATE = pylupdate4
else
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
endif

SUBDIRS = utilities

all: recursive_all

recursive_all:
	@echo '?. Using QT Version:' $(QT_VERSION)  $(PYUIC) $(PYRCC)  $(PYLUPDATE) $(PY_VERSION)
	@echo "QT_VERSION = '$(QT_VERSION)'\nPY_VERSION = $(PY_VERSION)\n" > utilities/build_details.py
	for d in $(SUBDIRS); do make PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done

clean: recursive_clean
	rm -rf *.pyc *~ __pycache__

recursive_clean:
	for d in $(SUBDIRS); do make -C $$d clean; done

.PHONY: all recursive_all clean recursive_clean

=== debian/changelog ===
kuttypy (2.4-1) unstable; urgency=medium

  * New upstream version 2.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jul 2025 13:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (= 13),
  python3-all,
  dh-python,
  pyqt5-dev-tools,
  qt5-qmake,
  qttools5-dev-tools
-Standards-Version: 4.5.0
-Homepage: http://expeyes.in/kuttypy/index.html
+Standards-Version: 4.6.1
+Homepage: https://expeyes.in/kuttypy/index.html
 Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
 Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

DESTDIR = $(CURDIR)/debian/kuttypy-gui

override_dh_python3:
	dh_python3 -p kuttypy-gui /usr/share/kuttypy

override_dh_install:
	dh_install
	chmod -x $(DESTDIR)/usr/share/kuttypy/KuttyPyGUI.py
	#remove compiled files from the package
	for f in $$(find $(DESTDIR)/usr/share/kuttypy/examples); do \
	  if file "$$f" | grep -q ELF; then \
	    rm $$f; \
	  fi; \
	done
